import { award } from "../../../entity/settings/award";
import { AwardViewModel } from "../../../viewmodel/admin/settings/award.models";

export default abstract class AwardFactory {
  /**
   * @description map record to award
   * @param {award} record
   * @returns {AwardViewModel}
   */
  public static mapToSingle(record: award): AwardViewModel {
    return {
      id: record.id,
      award: record.award,
    };
  }

  /**
   * @description map records to award
   * @param {Array<award>} records
   * @returns {Array<AwardViewModel>}
   */
  public static mapToBase(records: Array<award>): Array<AwardViewModel> {
    return records.map((r) => this.mapToSingle(r));
  }
}
